package com.app.controller.api;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/1/19 10:32
 */
@ApiModel("家长小孩新增Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class GuardianChildRequest {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("家长标识")
    private String guardianId;

    @ApiModelProperty("家长手机号码")
    @NotEmpty
    private String phoneNumber;

    @ApiModelProperty("小孩姓名")
    @NotEmpty
    private String childName;

    @ApiModelProperty("学校标识")
    @NotEmpty
    private String schoolId;

    @ApiModelProperty("学校名称")
    @NotEmpty
    private String schoolName;

    /**
     * @see com.app.constant.SchoolConstant#PRIMARY_SCHOOL
     * @see com.app.constant.SchoolConstant#MIDDLE_SCHOOL
     * @see com.app.constant.SchoolConstant#HIGH_SCHOOL
     */
    @ApiModelProperty("年级名称")
    @NotEmpty
    private Integer gradeName;

    /**
     * @see com.app.constant.SchoolConstant#CLASS_NAME_LIST
     */
    @ApiModelProperty("班级名称")
    @NotEmpty
    private Integer className;

    /**
     * @see com.app.constant.AccountConstant.GoHome
     */
    @ApiModelProperty("课后回家方式")
    @NotNull
    private String goHome;

}
