package com.app.dto.account.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("查询[账号]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchAccountDto extends SearchPageDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("微信昵称")
    private String nickname;


    @ApiModelProperty("小孩姓名")
    private String childName;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("学校标识")
    private String schoolId;

    /**
     * @see com.app.constant.SchoolConstant#PRIMARY_SCHOOL
     * @see com.app.constant.SchoolConstant#MIDDLE_SCHOOL
     * @see com.app.constant.SchoolConstant#HIGH_SCHOOL
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * @see com.app.constant.SchoolConstant#CLASS_NAME_LIST
     */
    @ApiModelProperty("班级名称")
    private String className;

}
