package com.app.dto.basics.operation;


import com.app.dto.SearchDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel("保存/更新[学校]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SchoolDto extends SearchDto {

    @ApiModelProperty("学校名称")
    @NotEmpty
    private String name;

    @ApiModelProperty("年级")
    @NotEmpty
    private String gradeYear;

    @ApiModelProperty("省级名称")
    @NotEmpty
    private String province;

    @ApiModelProperty("城市名称")
    @NotEmpty
    private String city;

    @ApiModelProperty("行政区名称")
    @NotEmpty
    private String area;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("机构id")
    private String organId;

}
