package com.app.dto.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 资讯新闻dto
 *
 * @author 禤润峰
 * @date 2021年1月18日20点16分
 */
@ApiModel("新闻资讯dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseNewsDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("机构名称")
    private String organName;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("图片")
    private String images;

    @ApiModelProperty("发布机构/人")
    private String author;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("机构id")
    private String organId;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;
}
