package com.app.dto.order.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("生成订单Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class GenerateOrderDto {

    @ApiModelProperty("开课标识")
    @NotNull
    private List<String> openCourseIdList;

    @ApiModelProperty("家长小孩标识")
    @NotEmpty
    private String accountChildId;

    @ApiModelProperty("微信表单标识")
    @NotEmpty
    private String wxmpFormId;

    @ApiModelProperty("是否快速生成订单")
    private Boolean isFast = Boolean.FALSE;

}
