package com.app.dto.order.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[订单]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchAdminOpenCourseOrderDto extends SearchPageDto {

    @ApiModelProperty("订单标识")
    private String id;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("小孩姓名")
    private String childName;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("微信支付订单号")
    private String transactionId;

    /**
     * @see com.app.constant.OrderConstant.OrderState
     */
    @ApiModelProperty("订单支付状态")
    private Integer orderState;

    @ApiModelProperty("学年")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    private Integer semester;

    @ApiModelProperty("学校标识")
    private String schoolId;

    /**
     * 年级名称
     *
     * @see com.app.constant.SchoolConstant#PRIMARY_SCHOOL
     * @see com.app.constant.SchoolConstant#MIDDLE_SCHOOL
     * @see com.app.constant.SchoolConstant#HIGH_SCHOOL
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级名称
     *
     * @see com.app.constant.SchoolConstant#CLASS_NAME_LIST
     */
    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("机构ids")
    private List<String> organIds;

}
