package com.app.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述：年级班级
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("报表返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class ReportAllDto {

    @ApiModelProperty("价格")
    Double[] money;

    @ApiModelProperty("次数")
    Integer[] num;

    @ApiModelProperty("人数")
    List<Integer> peopleNum;

    @ApiModelProperty("学校")
    String[] schoolList;

    @ApiModelProperty("人次最大值")
    private Integer timesMax;

    @ApiModelProperty("人次间隔")
    private Integer timesInterval;

    @ApiModelProperty("金额最大值")
    private Integer moneyMax;

    @ApiModelProperty("金额间隔")
    private Integer moneyInterval;

}
