package com.app.entity.guardian;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：家长实体
 *
 * @Author 梁展鹏
 * @Date 2021/1/18 17:57
 */
@ApiModel("家长实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_guardian")
public class Guardian extends BaseEntity {

    @ApiModelProperty("昵称")
    @TableField("nickname")
    private String nickname;

    @ApiModelProperty("头像")
    @TableField("avatar_url")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    @TableField("gender")
    private Integer gender;

    @ApiModelProperty("unionId")
    @TableField("union_id")
    private String unionId;

    @ApiModelProperty("openId")
    @TableField("open_id")
    private String openId;

}
