package com.app.entity.info;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：新闻资讯学校关联实体
 *
 * @Author 梁展鹏
 * @Date 2021/1/14 17:10
 */
@ApiModel("新闻资讯学校关联实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_news_school")
public class NewsSchool extends BaseEntity {

    @ApiModelProperty("新闻资讯标识")
    @NotEmpty
    @TableField("news_id")
    private String newsId;

    @ApiModelProperty("学校标识")
    @NotEmpty
    @TableField("school_id")
    private String schoolId;

}
