package com.app.entity.order;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

@ApiModel("开课 - 选课单")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_open_course_shopping_car")
public class OpenCourseShoppingCar extends BaseEntity {

    @ApiModelProperty("机构id")
    @NotEmpty
    @TableField(value = "organ_id")
    private String organId;

    @ApiModelProperty("开课标识")
    @NotEmpty
    @TableField("open_course_id")
    private String openCourseId;

    @ApiModelProperty("家长标识")
    @NotBlank
    @TableField(value = "guardian_id")
    private String guardianId;

    @ApiModelProperty("家长标识")
    @NotBlank
    @TableField(value = "guardian_child_id")
    private String guardianChildId;

}
