package com.app.entity.organ;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：机构实体
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("机构实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_organ")
public class Organ extends BaseEntity {

    @ApiModelProperty("租户Id")
    @TableField(value = "tenant_id")
    private String tenantId;

    @ApiModelProperty("名称")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("logo")
    @TableField(value = "logo")
    private String logo;

    @ApiModelProperty("固话")
    @TableField(value = "company_number")
    private String companyNumber;

    @ApiModelProperty("手机号码")
    @TableField(value = "phone_number")
    private String phoneNumber;

    @ApiModelProperty("简介")
    @TableField(value = "content")
    private String content;

    @ApiModelProperty("简介图片")
    @TableField(value = "content_url")
    private String contentUrl;

}
