package com.app.entity.platform.system;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel("账号授权实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_platform_account_auths")
public class AccountAuths extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField("account_id")
    private String accountId;

    /**
     * @see com.app.constant.AccountConstant.IdentityType
     */
    @ApiModelProperty("登录类型（手机号 邮箱 用户名）或第三方应用名称（微信 微博等）")
    @NotEmpty
    @TableField("identity_type")
    private String identityType;

    @ApiModelProperty("标识（手机号 邮箱 用户名或第三方应用的唯一标识）")
    @NotEmpty
    @TableField("identifier")
    private String identifier;

    @ApiModelProperty("凭证（站内的保存密码，站外的不保存或保存token）")
    @JsonIgnore
    @TableField("credential")
    private String credential;

    @ApiModelProperty("加密密码的盐（目前没有使用）")
    @JsonIgnore
    @TableField("salt")
    private String salt;

}
