package com.app.entity.platform.system;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：部门实体
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("部门实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_platform_dept")
public class Dept extends BaseEntity {

    @ApiModelProperty("父级")
    @TableField("parent_id")
    private String parentId;

    @ApiModelProperty("名称")
    @NotBlank
    @TableField("name")
    private String name;

    @ApiModelProperty("负责人")
    @TableField("leader")
    private String leader;

    @ApiModelProperty("电话")
    @TableField("phone")
    private String phone;

    @ApiModelProperty("邮箱")
    @TableField("email")
    private String email;

    @ApiModelProperty("排序")
    @TableField("sort")
    private Integer sort;

}
