package com.app.entity.platform.system;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：角色实体
 *
 * @Auther 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("角色实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_platform_role")
public class Role extends BaseEntity {

    @ApiModelProperty("名称")
    @NotEmpty
    @TableField("name")
    private String name;

    @ApiModelProperty("编码")
    @NotEmpty
    @TableField("code")
    private String code;

    @ApiModelProperty("备注")
    @TableField("remarks")
    private String remarks;

}
