package com.app.feign.whoispconline;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 * http://whois.pconline.com.cn/ipJson.jsp?ip=%25s&json=true
 * {
 * "ip": "61.144.147.133",
 * "pro": "广东省",
 * "proCode": "440000",
 * "city": "广州市",
 * "cityCode": "440100",
 * "region": "天河区",
 * "regionCode": "440106",
 * "addr": "广东省广州市天河区 /黄埔区电信ADSL",
 * "regionNames": "",
 * "err": ""
 * }
 *
 * @Author 梁展鹏
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WhoisPCOnlineDto {

    private String ip;
    private String pro;
    private String proCode;
    private String city;
    private String cityCode;
    private String region;
    private String regionCode;
    private String addr;
    private String regionNames;
    private String err;

}
