package com.app.feign.whoispconline;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        name = "PcOnlineIpJsonFeign",
        url = "http://whois.pconline.com.cn"
)
public interface WhoisPCOnlineFeign {

    /**
     * 功能描述：根据ip获取地址信息
     *
     * @param ip
     * @return
     */
    @GetMapping(value = "/ipJson.jsp?ip={ip}&json=true")
    WhoisPCOnlineDto ipJson(@RequestParam("ip") String ip);

}
